


(function checkFreeSlots(data) {
    const base = data.pairName.split('-')[0];
    const config = data.config;
    let maxPerBase = 999;
    let activePairSameBaseCount = 0;
    let somePairIsTrailing = false;

    if (Object.keys(config).length > 0) {
        if (Object.keys(config?.pairs).length > 0 && Object.keys(config?.pairs).indexOf('binance') > -1) {
            if (Object.keys(config?.pairs?.binance).length > 0) {
                Object.keys(config?.pairs?.binance).forEach(pair => {
                    if (data.pairVariables.binance?.[pair]?.newOverrides?.isTrailing){
                        somePairIsTrailing = true;
                    }
                    if (parseFloat(config?.pairs?.binance?.[pair]?.override?.MAX_PAIR_PER_BASE) > 0) {
                        maxPerBase = parseFloat(config?.pairs?.binance?.[pair]?.override?.MAX_PAIR_PER_BASE);
                    }
                    if (pair.split('-')[0] === base && config?.pairs?.binance?.[pair]?.override?.STATUS === 'active') {
                        activePairSameBaseCount++;
                    }
                });
            }
        }
    }
    if (somePairIsTrailing) {
        return false;
    }
    if (activePairSameBaseCount >= maxPerBase) {
        return false;
    }
    else {
        return true;
    }
})(this)