(function dontLetLastPairBeRemoved(data) {
    try {
        const configPairCount = Object.keys(data.config.pairs.binance).length; 
        const isLastPair = data.pairName === Object.keys(data.config.pairs.binance)[configPairCount - 1]; 
        let mainFunctionReturn = false
        const testVariables = (pair) => Object.keys(data.pairVariables.binance).indexOf(pair) > -1 && typeof data.pairVariables?.binance?.[pair] !== 'undefined'
        const havePairVarsForEachPair = Object.keys(data.config.pairs.binance).every(testVariables)
        let otherPairRemoveCount = 0;
        let allOtherPairsWillStop = false;

        Object.keys(data.config.pairs.binance).forEach(pair => {
            if (typeof data.pairVariables?.binance?.[pair] !== 'undefined') {
                if (typeof data.pairVariables?.binance?.[pair]?.newOverrides !== 'undefined'){
                    if (data.pairVariables?.binance?.[pair]?.newOverrides?.REMOVE && pair !== Object.keys(data.config.pairs.binance)[configPairCount - 1]) {
                        otherPairRemoveCount++;
                    }
                    if (pair === data.pairName) {
                        mainFunctionReturn = data.pairVariables.binance[data.pairName].newOverrides.REMOVE; 
                    }
                }
            }
        });
        if (otherPairRemoveCount >= configPairCount - 1) {
            allOtherPairsWillStop = true;
        }
        /*
        console.log('dontLetLastPairBeRemoved', data.pairName)
        console.log('isLastPair', isLastPair)
        console.log('main return', mainFunctionReturn)
        console.log('havePairVarsForEachPair', havePairVarsForEachPair)
        console.log('otherpairremovecount', otherPairRemoveCount)
        console.log('allOtherPairsWillStop', allOtherPairsWillStop)
        */

        if (!havePairVarsForEachPair && !isLastPair) {
            //console.log(data.pairName, mainFunctionReturn, 'case 1')
            return mainFunctionReturn;
        }
        else if (!havePairVarsForEachPair && isLastPair) {
            //console.log(data.pairName, false, 'case 2')
            return false
        }
        else if (isLastPair && allOtherPairsWillStop) {
            //console.log(data.pairName, false, 'case 3')
            return false;
        }
        else {
            //console.log(data.pairName, mainFunctionReturn, 'case 4')
            return mainFunctionReturn
        }
    } catch (error) {
        console.log(error)
        return false
    }
})(this)